unit entrnome;

interface

uses SysUtils, QStdCtrls, QControls, QButtons, QForms, Classes;

type
  TformEntraNome = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    editNome: TEdit;
    Label2: TLabel;
    cbParceiro: TComboBox;
    GroupBox2: TGroupBox;
    editInt1: TEdit;
    editInt2: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    procedure editNomeChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure cbParceiroChange(Sender: TObject);
  private
//    procedure CreateParams(var params : TCreateParams) ; override;
  public
    { Public declarations }
  end;

var
  formEntraNome: TformEntraNome;

implementation

{$R *.xfm}
uses mesa;

{ procedure TformEntraNome.CreateParams(var params : TCreateParams);
begin
  inherited CreateParams(params);
  params.Style := params.Style or WS_OVERLAPPED;
  params.WndParent := formMesa.Handle;
end; }

procedure TformEntraNome.editNomeChange(Sender: TObject);
begin
  OkBtn.Enabled := editNome.Text<>'';
end;

procedure TformEntraNome.FormCreate(Sender: TObject);
begin
  EditNome.Text := 'Zezinho';
  with cbParceiro.Items do
    begin
      Clear;
      Add(mesa.nomes[2]);
      Add(mesa.nomes[3]);
      Add(mesa.nomes[4]);
    end;
  cbParceiro.ItemIndex := 0;
  cbParceiroChange(Sender);
end;

procedure TformEntraNome.cbParceiroChange(Sender: TObject);
var
  x,y : integer;
begin
  case cbParceiro.ItemIndex of
    0 : begin
          x := 1;
          y := 2;
        end;
    1 : begin
          x := 0;
          y := 2;
        end;
    2 : begin
          x := 0;
          y := 1;
        end;
  end;
  editInt1.Text := cbParceiro.Items[x];
  editInt2.Text := cbParceiro.Items[y];
end;

end.

