unit vitoria;

interface

uses
  QTypes, QExtCtrls, QForms, QStdCtrls, QButtons, QControls, Classes;


type
  TformVitoria = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    labelVitoria: TLabel;
    timerEfeito: TTimer;
    Label1: TLabel;
    Bevel1: TBevel;
    procedure FormActivate(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure timerEfeitoTimer(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  formVitoria: TformVitoria;
  direcaoVitoria : integer;

implementation

{$R *.xfm}

procedure TformVitoria.FormActivate(Sender: TObject);
begin
  timerEfeito.Enabled := true;
end;

procedure TformVitoria.FormDeactivate(Sender: TObject);
begin
  timerEfeito.Enabled := true;
end;

procedure TformVitoria.FormShow(Sender: TObject);
begin
  direcaoVitoria := 4;
end;

procedure TformVitoria.timerEfeitoTimer(Sender: TObject);
begin
  labelVitoria.Left := labelVitoria.Left + DirecaoVitoria;
  if (labelVitoria.Left+labelVitoria.Width > ClientWidth) or
     (labelVitoria.Left<0) then
    begin
      DirecaoVitoria := -DirecaoVitoria;
      labelVitoria.Left := labelVitoria.Left + DirecaoVitoria;
    end;
end;

procedure TformVitoria.BitBtn1Click(Sender: TObject);
begin
  modalResult := mrOk;
end;

procedure TformVitoria.BitBtn2Click(Sender: TObject);
begin
  Close;
end;

end.
